#version: "3"
services:
  eks-backend:
    build:
      dockerfile: Dockerfile.tc
    entrypoint: ["java", "-jar", "/home/app/backend.jar"]
    environment:
      - TZ="Europe/Moscow"
      - CONFIG_DATA_EXECUTOR_URL=http://eks-cde:8080/api
    env_file:
      - tc.env

  eks-frontend:
    build:
      dockerfile: Dockerfile.tc
    depends_on:
      - eks-backend
    ports:
      - "80"
    entrypoint: ["nginx", "-g", "daemon off;"]
    environment:
      - TZ="Europe/Moscow"

  eks-cde:
    build:
      dockerfile: Dockerfile.tc
    entrypoint: ["java", "-jar", "/home/app/cde.jar"]
    volumes:
      - ./cde-xml:/cde-xml
    environment:
      - CONFIGDIRECTORY=/cde-xml

volumes:
   db-data:
